summaryrefslogtreecommitdiff
path: root/.local/bin/statusbar/sb-news
diff options
context:
space:
mode:
authormarlonivo <email@marlonivo.xyz>2025-04-14 09:16:38 +0000
committermarlonivo <email@marlonivo.xyz>2025-04-14 09:16:38 +0000
commit0d1a84f59d8cdd62c97410f96f8a13c98c51453a (patch)
tree01fee1d2003ea27f96a3e52b077827605ed14fab /.local/bin/statusbar/sb-news
initialHEADmaster
Diffstat (limited to '.local/bin/statusbar/sb-news')
-rwxr-xr-x.local/bin/statusbar/sb-news17
1 files changed, 17 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-news b/.local/bin/statusbar/sb-news
new file mode 100755
index 0000000..58ff9a9
--- /dev/null
+++ b/.local/bin/statusbar/sb-news
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Displays an icon if updating.
+# When clicked, brings up `newsboat`.
+
+case $BLOCK_BUTTON in
+ 1) setsid "$TERMINAL" -e newsboat ;;
+ 2) setsid -f newsup >/dev/null && exit ;;
+ 3) notify-send "\- Shows 🔃 if updating with \`newsup\`
+- Left click opens newsboat
+- Middle click syncs RSS feeds
+<b>Note:</b> Only one instance of newsboat (including updates) may be running at a time." ;;
+ 6) setsid -f "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+# Display update icon if updating, otherwise display nothing.
+cat /tmp/newsupdate 2>/dev/null || echo ""